import { defineComponent, provide } from 'vue';
export const SitecoreContext = defineComponent({
    props: {
        componentFactory: {
            type: Function,
            default: undefined,
        },
    },
    setup(props, context) {
        provide('injectedComponentFactory', props.componentFactory);
        return () => context.slots && context.slots.default();
    },
});
